import { getPost, getPostsFlat, isDir } from "$lib/pages";

export async function get({ params }) {
  let dir = await isDir(params.name);
  if (dir === null) {
    return {status: 404};
  } else if (dir) {
    return {
      body: {
        pages: await getPostsFlat(params.name)
      }
    }
  } else {
    return {
      body: {
        page: await getPost(params.name)
      }
    }
  }
}